pub mod access_token;
pub mod commands;
pub mod events;
pub mod livesplit;
pub mod redemptions;

pub use self::access_token::*;
pub use self::commands::*;
pub use self::events::*;
pub use self::livesplit::*;
pub use self::redemptions::*;

use uuid::Uuid;
use std::collections::HashMap;

pub fn uuid_from_form(form: &mut HashMap<String, String>) -> Option<Uuid> {
    form.remove("id")
        .and_then(|id| Uuid::parse_str(&id).ok())
}
